"""polysite URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/1.9/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  url(r'^$', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  url(r'^$', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.conf.urls import url, include
    2. Add a URL to urlpatterns:  url(r'^blog/', include('blog.urls'))
"""
from django.urls import include, re_path
from django.contrib import admin
from pageapp.views import aboutpage, contactpage
#from blogapp.views import listall
#from django.conf import settings
from django.conf.urls.static import static
from . import views, settings

urlpatterns = [
    re_path(r'^$', views.redi),
    re_path(r'^blog/', include('blogapp.urls')),
    re_path(r'^admin/', admin.site.urls),
    re_path(r'^about/', aboutpage, name='about'),
    re_path(r'^contact/', contactpage, name='contact'),
    # re_path(r'^', listall),
] + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
